As a user, I would like to see Featured Article as a card in the Discover feed
Closed, ResolvedPublic3 Story Points

Description

Today elements should appear at the top of the feed the first time the app is opened in that calendar day (for the local timezone).

See these docs to help with the HTML:
https://www.mediawiki.org/wiki/Mobile_Gateway/Mobile_homepage_formatting
https://www.mediawiki.org/wiki/Extension:MobileFrontend#Configuring_the_main_page

See T113001 for feed style guidelines.

Featured article
Follow spec for feed cards

  • Title of section reads "Featured article - [date]"
  • Lead image
  • Title
  • Wikidata description
  • (No text extract)
  • Save for later

.
Prototype
https://invis.io/SE4LX1VJ8

Fjalapeno updated the task description. (Show Details)
Fjalapeno raised the priority of this task from to Needs Triage.
Fjalapeno added a subscriber: Fjalapeno.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 9 2015, 11:25 PM
Fjalapeno renamed this task from As a user, I would like to see "Today" in a native view to As a user, I would like to see "Today" as a native view in the Discover feed.Jul 18 2015, 3:22 PM
Fjalapeno updated the task description. (Show Details)
Fjalapeno set Security to None.
JMinor triaged this task as Normal priority.Sep 28 2015, 9:44 PM
JMinor added a project: iOS-app-v5-beta.
JMinor renamed this task from As a user, I would like to see "Today" as a native view in the Discover feed to As a user, I would like to see "Today" as a card in the Discover feed.Oct 2 2015, 4:36 AM
JMinor updated the task description. (Show Details)
KHammerstein lowered the priority of this task from Normal to Low.
JMinor raised the priority of this task from Low to Normal.Oct 19 2015, 9:43 PM
Mhurd added a subscriber: Mhurd.Oct 21 2015, 10:35 PM

@KHammerstein oh do featured articles often have no image? In those cases, w/o extract, it's gonna be sparse... especially if no wikidata description is available...

@Mhurd see T108889 for some of the options I came up w/ after doing a spike. There might be some more, and it might vary depending on whether we only want today's featured article vs. previous ones. We might have more options if we're focusing solely on enwiki for this first go 'round.

In particular, check out the featuredfeed API action and the TFA categories/templates. The categories are a bit less useful as (AFAIK) it's not possible to query it chronologically.

JMinor edited projects, added iOS-app-v5-beta; removed iOS-app-v5-alpha.
JMinor renamed this task from As a user, I would like to see "Today" as a card in the Discover feed to As a user, I would like to see Featured Article as a card in the Discover feed.Nov 2 2015, 5:56 PM
MBinder_WMF edited a custom field.Nov 2 2015, 5:57 PM
Fjalapeno claimed this task.
Fjalapeno added a subscriber: KHammerstein.
Fjalapeno removed Fjalapeno as the assignee of this task.

Checked with 5.0.0.503

  • after viewing some articles - the featured article and Main page link are pushed down.

Re- checked with 5.0.0.520 on iPad mini iOS 8.2 and iPhone 5 iOS 9.02 - no changes.

JMinor added a subscriber: JMinor.Dec 1 2015, 6:42 PM
  • there is no Title of section reads "Featured article - [date]" - Filed as a separate task for dev.
  • the text extract is displayed - This violates the spec, but I don't think its a problem.
JMinor closed this task as Resolved.Dec 1 2015, 6:42 PM